Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

today I accidently changed one option of Teminal Services, I checked "Allow connections only from computers running Remote Desktop with Network Level Authentication".

After that, I can't connect to my server any more. The error says: The remote computer requires Network Level Authentication, which your computer does not support.

But my client pcs(both home and at office) are running Windows 7, as far as I know, it shoud support NLA; And in About dialog of Remote Desktop Connection there says "Supports Network Level Authentication".

My server is running Windows Server 2008, placed in IDC center; I could connect to it before I change the settings. All other sevices(like IIS, SQL Server) are running normally. For clients, I tried two PCs running Windows 7, and two virtual windows XP machine running in Virtual PC and Virtual Box, all of them gives the same error message. Is there a way I can make things right without go to IDC which is far away?

Thanks.

share|improve this question
add comment

2 Answers

up vote 2 down vote accepted

Are you able to edit the server's registry remotely?

In this case, if you still want to RDP to the Windows 2008 server ... then you can change the Userauthentication value to 0.  This setting enables legacy support for Windows 2008 by disabling the requirement for NLA

HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Control\Terminal Server\WinStations\RDP-Tcp Data Type: DWORD Value Name: UserAuthentication Value: Now you should be able to RDP to a WIndows 2008\Vista host

I'm not sure why the win7 client isn't working (maybe there's an update missing) but hopefully that will get you back in.

share|improve this answer
    
Sadly I can't. Havn't used this feature before. It should be turned off on server default. –  deerchao Apr 7 '10 at 5:58
add comment

On the Windows XP clients, have you downloaded the RDP7 client and turned on CredSSP? If not, you'll need this article to venture forward.

share|improve this answer
    
A little late to the punch JohnThePro.. Did you see that this question dated from 2010? –  Tim Brigham Feb 17 '12 at 0:03
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.